Skip to main content
`Ctrl`+`K`

# MatPartitioningGetUseEdgeWeights

Get a flag that indicates whether or not to edge weights are used.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningGetUseEdgeWeights(MatPartitioning part, PetscBool *use_edge_weights)

Logically Collective

## Input Parameter

- part - the partitioning context

## Output Parameter

- use_edge_weights - the flag indicateing whether or not to edge weights are used.

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningCreate()`, `MatPartitioningSetType()`, `MatPartitioningSetVertexWeights()`, `MatPartitioningSetPartitionWeights()`, `MatPartitioningSetUseEdgeWeights`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Examples

src/mat/tutorials/ex15.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages